org.kie.internal.task.api.model

## Interface InternalTask

- All Superinterfaces:
    Externalizable, Serializable, org.kie.api.task.model.Task

      public interface InternalTask
      extends org.kie.api.task.model.Task

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Deadlines` | `getDeadlines()`
    `Delegation` | `getDelegation()`
    `String` | `getFormName()`
    `SubTasksStrategy` | `getSubTaskStrategy()`
    `int` | `getVersion()`
    `Boolean` | `isArchived()`
    `void` | `setArchived(Boolean archived)`
    `void` | `setDeadlines(Deadlines deadlines)`
    `void` | `setDelegation(Delegation delegation)`
    `void` | `setDescription(String description)`
    `void` | `setDescriptions(List<org.kie.api.task.model.I18NText> descriptions)`
    `void` | `setFormName(String formName)`
    `void` | `setId(long id)`
    `void` | `setName(String name)`
    `void` | `setNames(List<org.kie.api.task.model.I18NText> names)`
    `void` | `setPeopleAssignments(org.kie.api.task.model.PeopleAssignments peopleAssignments)`
    `void` | `setPriority(int priority)`
    `void` | `setSubject(String subject)`
    `void` | `setSubjects(List<org.kie.api.task.model.I18NText> subjects)`
    `void` | `setSubTaskStrategy(SubTasksStrategy subTaskStrategy)`
    `void` | `setTaskData(org.kie.api.task.model.TaskData taskData)`
    `void` | `setTaskType(String taskType)`

    - ### Methods inherited from interface org.kie.api.task.model.Task

      `getDescription, getDescriptions, getId, getName, getNames, getPeopleAssignments, getPriority, getSubject, getSubjects, getTaskData, getTaskType`

    - ### Methods inherited from interface java.io.Externalizable

      `readExternal, writeExternal`

- - ### Method Detail

    - #### setId

          void setId(long id)

    - #### isArchived

          Boolean isArchived()

    - #### setArchived

          void setArchived(Boolean archived)

    - #### getVersion

          int getVersion()

    - #### setPriority

          void setPriority(int priority)

    - #### setNames

          void setNames(List<org.kie.api.task.model.I18NText> names)

    - #### setFormName

          void setFormName(String formName)

    - #### getFormName

          String getFormName()

    - #### setSubjects

          void setSubjects(List<org.kie.api.task.model.I18NText> subjects)

    - #### setDescriptions

          void setDescriptions(List<org.kie.api.task.model.I18NText> descriptions)

    - #### setPeopleAssignments

          void setPeopleAssignments(org.kie.api.task.model.PeopleAssignments peopleAssignments)

    - #### getDelegation

          Delegation getDelegation()

    - #### setDelegation

          void setDelegation(Delegation delegation)

    - #### setTaskData

          void setTaskData(org.kie.api.task.model.TaskData taskData)

    - #### getDeadlines

          Deadlines getDeadlines()

    - #### setDeadlines

          void setDeadlines(Deadlines deadlines)

    - #### setTaskType

          void setTaskType(String taskType)

    - #### getSubTaskStrategy

          SubTasksStrategy getSubTaskStrategy()

    - #### setSubTaskStrategy

          void setSubTaskStrategy(SubTasksStrategy subTaskStrategy)

    - #### setName

          void setName(String name)

    - #### setSubject

          void setSubject(String subject)

    - #### setDescription

          void setDescription(String description)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.